Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.util
Class EncodingChangeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.htmlparser.util.ChainedException
                  org.htmlparser.util.ParserException
                      org.htmlparser.util.EncodingChangeException

All Implemented Interfaces:
  Serializable

    public class EncodingChangeException

extends ParserException

The encoding is changed invalidating already scanned characters. When the encoding is changed, as for example when encountering a <META> tag that includes a charset directive in the content attribute that disagrees with the encoding specified by the HTTP header (or the default encoding if none), the parser retraces the bytes it has interpreted so far comparing the characters produced under the new encoding. If the new characters differ from those it has already yielded to the application, it throws this exception to indicate that processing should be restarted under the new encoding. This exception is the object thrown so that applications may distinguish between an encoding change, which may be successfully cured by restarting the parse from the beginning, from more serious errors.

See Also:
  `IteratorImpl`, `ParserException`, Serialized Form

Field Summary

Fields inherited from class org.htmlparser.util.ChainedException
`throwable`

Constructor Summary
`EncodingChangeException(String message)` Create an exception idicative of a problematic encoding change.

Method Summary

Methods inherited from class org.htmlparser.util.ChainedException
`getMessageChain, getMessageList, getThrowable, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncodingChangeException

    public EncodingChangeException(String message)

  Create an exception idicative of a problematic encoding change.

  Parameters:
    `message` - The message describing the error condifion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |